package com.foreverwin.mesnac.meapi.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.meapi.model.Sfc;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-02
 */
public interface SfcService extends IService<Sfc> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<Sfc> selectPage(FrontPage<Sfc> frontPage, Sfc sfc);

    List<Sfc> selectList(Sfc sfc);

    /**
     * 查询工单下生产批次
     */
    List<Sfc> getSfcListByShopOrderBo(String shopOrderBo);

    /**
     * 获取资源上活动的sfc
     */
    List<Sfc> getSfcListByResrceBO(String resrceBO);
}